## apport-symptoms 0.2

=== debian/changelog ===
apport-symptoms (0.2) karmic; urgency=low

  * storage.py: Add description.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 05 Aug 2009 18:40:48 +0100

apport-symptoms (0.1) karmic; urgency=low

  * Initial release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 05 Aug 2009 10:42:55 +0100

## apport-symptoms 0.9

=== debian/changelog ===
apport-symptoms (0.9) lucid; urgency=low

  * storage.py: Move from devicekit-disks to udisks.
  * storage.py: If gvfs-mount is available, add gvfs monitor log.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 10 Mar 2010 15:18:13 +0100

apport-symptoms (0.8) lucid; urgency=low

  [ Daniel T Chen ]
  * audio.py:
    - Add additional stereo playback elements to check for mute status
    - Add check for jackd

  [ Marc Deslauriers ]
  * security.py: add a new "security" symptom.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Feb 2010 13:59:00 +0100

apport-symptoms (0.7) lucid; urgency=low

  * audio.py: Set default bug titles which include the card/codec name and
    symptom, for easier duplicate bug matching. Thanks David Henningsson!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 08 Feb 2010 11:52:39 +0100

apport-symptoms (0.6) lucid; urgency=low

  * audio.py: Call subprocesses with LC_MESSAGES=C to fix the symptom for
    non-English locales.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 23 Jan 2010 13:13:44 +0100

apport-symptoms (0.5) lucid; urgency=low

  * storage.py: Improve symptom description.
  * storage.py: Set default bug titles.
    (UbuntuSpec:desktop-lucid-bug-management)
  * storage.py: When reporting "Other problem", do not show error message
    about not being able to determine the package.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 20 Jan 2010 15:33:30 +0100

apport-symptoms (0.4) lucid; urgency=low

  * Include first version of David Henningsson's "audio" symptom. Thanks!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 20 Jan 2010 14:47:33 +0100

apport-symptoms (0.3) lucid; urgency=low

  [ Martin Pitt ]
  * Add README.
  * display.py: Fix comparison of choice.

  [ Bryce Harrington ]
  * Add display symptom for X.org problems.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 03 Nov 2009 20:47:19 +0100

## apport-symptoms 0.12

=== debian/changelog ===
apport-symptoms (0.12) natty; urgency=low

  [ David Henningson ]
  * audio.py:
    - Audio: fix crash when selecting "Internal Speaker"
    - Fall back to ALSA if PulseAudio is not installed (LP: #733112)
    - Rename Sound_symptom to Symptom_type for cosmetic reasons.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Mar 2011 16:52:09 +0100

apport-symptoms (0.11) natty; urgency=low

  [ David Henningsson ]
  * audio.py: Split into some helper modules, and greatly improve.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 07 Feb 2011 12:15:40 +0100

apport-symptoms (0.10) natty; urgency=low

  * audio.py: Resolves syntax confusion in audio test (LP: #678371)

 -- Weston Miller <westonmiller@gmail.com>  Tue, 23 Nov 2010 09:45:08 +0100

## apport-symptoms 0.16

=== debian/changelog ===
apport-symptoms (0.16) oneiric; urgency=low

  [ David Henningson ]
  * symptoms/_audio_data.py: Fix crash when bluetooth headset is connected
    (LP: #827591)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 25 Aug 2011 10:29:50 +0200

apport-symptoms (0.15) oneiric; urgency=low

  [ David Henningson ]
  * symptoms/_audio_data.py: As of PulseAudio 0.99, the "pactl stat" has
    changed name to "pactl info".

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Aug 2011 14:58:50 +0200

apport-symptoms (0.14) oneiric; urgency=low

  * symptoms/_audio_data.py: Fix crash when pulseaudio does not detect any
    errors. Thanks to David Henningsson! (LP: #776270)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 04 Jul 2011 15:05:44 +0200

apport-symptoms (0.13) oneiric; urgency=low

  * symptoms/audio.py: Add missing "report" argument to pa_finish_logging()
    calls. (LP: #779209)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 06 Jun 2011 08:48:04 +0200

## apport-symptoms 0.20

=== Makefile ===
default:
	@echo Nothing to do

install:
	install -d $(DESTDIR)/usr/share/apport/symptoms
	install -m 644 symptoms/*.py $(DESTDIR)/usr/share/apport/symptoms

.PHONY: default install clean

## apport-symptoms 0.16.1

=== debian/changelog ===
apport-symptoms (0.16.1) precise-proposed; urgency=low

  * add in ubuntu-release-upgrade-core.py symptom to allow distribution
    upgrade failures to be reported (LP: #1070542) 

 -- Brian Murray <brian@ubuntu.com>  Tue, 23 Oct 2012 13:59:59 -0700

=== debian/control ===
Source: apport-symptoms
Section: utils
Priority: optional
Build-Depends: debhelper (>= 7)
Maintainer: Ubuntu Developers <ubuntu-motu@lists.ubuntu.com>
Standards-Version: 3.8.2
Vcs-Bzr: https://code.launchpad.net/~ubuntu-dev/apport/apport-symptoms
Homepage: https://wiki.ubuntu.com/Apport

Package: apport-symptoms
Architecture: all
Recommends: apport, ${misc:Depends}
Description: symptom scripts for apport
 Apport intercepts program crashes, collects debugging information about the
 crash and the operating system environment, and sends it to bug trackers in a
 standardized form. It also offers the user to report a bug about a package,
 with again collecting as much information about it as possible.
 .
 This package extends Apport by some "symptom" scripts, so that bug reporters
 do not have to guess the correct package, but report problems based on
 symptoms that they have (like "sound problem"), through an interactive process.

## apport-symptoms 0.19

=== debian/changelog ===
apport-symptoms (0.19) quantal; urgency=low

  * symptoms/_audio_checks.py: Dot not try to call nonexisting set_title()
    function. (LP: #1023949)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 31 Aug 2012 11:37:51 +0200

apport-symptoms (0.18) quantal; urgency=low

  * symptoms/audio.py: Ensure we use integer array indexes when dividing.
    (LP: #1022580)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Jul 2012 06:59:39 +0200

apport-symptoms (0.17) quantal; urgency=low

  * symptoms/_audio_data.py: Fix syntax to be Python 3 compatible.
    (LP: #1013171)
  * symptoms/storage.py: Fix decoding of stdout/err in subprocesses.
  * symptoms/storage.py: Move to udisks2.
  * debian/copyright: Move to copyright format 1.0.
  * debian/control: Bump Standards-Version to 3.9.3.
  * debian/control: Move ${misc:Depends} to Depends.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Jun 2012 09:44:18 +0200

## apport-symptoms 0.19.1

=== debian/changelog ===
apport-symptoms (0.19.1) raring-proposed; urgency=low

  * Add in an symptom for ubuntu-release-upgrader, and aliases for it that just
    return the binary package. (LP: #1173913)

 -- Brian Murray <brian@ubuntu.com>  Wed, 22 May 2013 15:36:40 -0700

## apport-symptoms 0.20

=== debian/changelog ===
apport-symptoms (0.20) saucy; urgency=low

  * Add in an symptom for ubuntu-release-upgrader, and aliases for it that just
    return the binary package. (LP: #1173913)

 -- Brian Murray <brian@ubuntu.com>  Wed, 22 May 2013 15:03:40 -0700

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Build-Depends: debhelper (>= 7)
 Maintainer: Ubuntu Developers <ubuntu-motu@lists.ubuntu.com>
-Standards-Version: 3.8.2
+Standards-Version: 3.9.3
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-dev/apport/apport-symptoms
 Homepage: https://wiki.ubuntu.com/Apport
 
 Package: apport-symptoms
 Architecture: all
-Recommends: apport, ${misc:Depends}
+Depends: ${misc:Depends}
+Recommends: apport
 Description: symptom scripts for apport
  Apport intercepts program crashes, collects debugging information about the
  crash and the operating system environment, and sends it to bug trackers in a

## apport-symptoms 0.21

=== debian/changelog ===
apport-symptoms (0.21) disco; urgency=medium

  * symptoms/storage.py: Fix the binary name for gnome-session and since its
    greater than 15 characters use -f with pgrep. (LP: #1813428)

 -- Brian Murray <brian@ubuntu.com>  Mon, 28 Jan 2019 09:40:15 -0800

## apport-symptoms 0.22

=== debian/changelog ===
apport-symptoms (0.22) eoan; urgency=medium

  * symptoms/storage.py: don't crash if udisks2 package is not available.
    (LP: #1789516)

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 May 2019 14:32:49 -0700

## apport-symptoms 0.23

=== debian/changelog ===
apport-symptoms (0.23) focal; urgency=medium

  * Add in a symptom for the installer. (LP: #1868161)

 -- Brian Murray <brian@ubuntu.com>  Mon, 13 Apr 2020 15:58:17 -0700

## apport-symptoms 0.24

=== debian/changelog ===
apport-symptoms (0.24) groovy; urgency=medium

  * Resolve crash when /var/log/installer does not exist. (LP: #1899354)

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Oct 2020 07:35:36 -0700

## apport-symptoms 0.25

=== debian/changelog ===
apport-symptoms (0.25) noble; urgency=medium

  * d/control: Fix Vcs field from bzr to git
  * Fix a flood of warnings when on Python 3.12 (LP: #2060962)

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 12 Apr 2024 11:54:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 7)
 Maintainer: Ubuntu Developers <ubuntu-motu@lists.ubuntu.com>
 Standards-Version: 3.9.3
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-dev/apport/apport-symptoms
+Vcs-Git: https://git.launchpad.net/~ubuntu-dev/apport/+git/apport-symptoms
 Homepage: https://wiki.ubuntu.com/Apport
 
 Package: apport-symptoms

## apport-symptoms 0.25build1

=== debian/changelog ===
apport-symptoms (0.25build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 11:23:28 +0100
